<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('functions_func_s.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_s" name="index_s"></a>- s -</h3><ul>
<li>SanitizePath()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_file_utils.html#a22b0609cba2b3af1dd0c3497bb9883da">TriLib.FileUtils</a></li>
<li>SaveFilePanel()&#160;:&#160;<a class="el" href="interface_s_f_b_1_1_i_standalone_file_browser.html#a0562573c818a6f48c37b2963e3a7b748">SFB.IStandaloneFileBrowser</a>, <a class="el" href="class_s_f_b_1_1_standalone_file_browser.html#adaa606c9f381e863ee253ea38cb47151">SFB.StandaloneFileBrowser</a></li>
<li>SaveFilePanelAsync()&#160;:&#160;<a class="el" href="interface_s_f_b_1_1_i_standalone_file_browser.html#a112db8b391e2026b461426f30f09e8fa">SFB.IStandaloneFileBrowser</a>, <a class="el" href="class_s_f_b_1_1_standalone_file_browser.html#ab268667bb4c7d63680ab47863442a6f3">SFB.StandaloneFileBrowser</a></li>
<li>SaveProject()&#160;:&#160;<a class="el" href="class_project_files_controller.html#aed7f6eed3c917e6bc4e5028212e7d2a1">ProjectFilesController</a></li>
<li>SaveVivianSpecificationToDisk()&#160;:&#160;<a class="el" href="class_project_files_controller.html#a465eedff13384dab7e334c57e6d88a1d">ProjectFilesController</a></li>
<li>Serialize()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_options.html#af034052c78eac9477f5ba87ce392d306">TriLib.AssetLoaderOptions</a></li>
<li>SetCallbacks()&#160;:&#160;<a class="el" href="struct_controls_1_1_player_actions.html#a011aadec6501418214c55e5f3b3d581f">Controls.PlayerActions</a></li>
<li>SetCurrentState()&#160;:&#160;<a class="el" href="class_utils.html#a4187f0ec97cc29945c425bb46c4cc0d8">Utils</a></li>
<li>SetCurve()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_animation_channel_data.html#ab8b314dd8298200f745ead6ac3e0f3c1">TriLib.AnimationChannelData</a></li>
<li>SetFinished()&#160;:&#160;<a class="el" href="class_doxy_thread_safe_output.html#a97e2149569e2bb5e749851daa2781423">DoxyThreadSafeOutput</a></li>
<li>SetOutline()&#160;:&#160;<a class="el" href="class_outliner.html#a94ed3ea9e14860e6196bef51fc2ff6b8">Outliner</a></li>
<li>SetRecentProjects()&#160;:&#160;<a class="el" href="class_project_files_controller.html#adaa01697d0900cf78f411a18dc7090da">ProjectFilesController</a></li>
<li>SetStarted()&#160;:&#160;<a class="el" href="class_doxy_thread_safe_output.html#ad08186c77f145bc3cb1ddb50259ef589">DoxyThreadSafeOutput</a></li>
<li>SetTarget()&#160;:&#160;<a class="el" href="class_model_manipulator.html#aa07b5a7f24935046611034fb81eff4b0">ModelManipulator</a></li>
<li>Settings()&#160;:&#160;<a class="el" href="class_tri_lib_editor_1_1_tri_lib_settings_provider.html#ab6e47fc68d5aeba0974215b4fcc029a2">TriLibEditor.TriLibSettingsProvider</a></li>
<li>SetupAnimations()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#abc98e07d817d0e6c66843b6bb6e82c33">TriLib.AssetLoaderBase</a></li>
<li>SetupSkinnedMeshRendererTransforms()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a8b4bd25a2f6c802d1d359b44e5597038">TriLib.AssetLoaderBase</a></li>
<li>ShowDialog()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_samples_1_1_error_dialog.html#a164d40570c918dac17e2593bc35f4ce7">TriLib.Samples.ErrorDialog</a>, <a class="el" href="class_tri_lib_1_1_samples_1_1_u_r_i_dialog.html#abfc4a78f9d2a6b5c8f1ecef17f218886">TriLib.Samples.URIDialog</a></li>
<li>ShowExample()&#160;:&#160;<a class="el" href="class_u_i_builder.html#af1b85f29c585d2c629f09ee71ca2f84f">UIBuilder</a></li>
<li>ShowFileOpenDialog()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#a3445911cd0080d9b530a249d2438683c">TriLib.Samples.FileOpenDialog</a></li>
<li>ShowModal()&#160;:&#160;<a class="el" href="class_vivian_u_i.html#a21a955facfb160d6529f9b30b1ad8bf5">VivianUI</a></li>
<li>Start()&#160;:&#160;<a class="el" href="class_modal.html#abac6faa7d5d572d5e10d24bed3db82d4">Modal</a>, <a class="el" href="class_modals_1_1_create_project_modal.html#a19f19883700e3f1b1e2de102322d2ca9">Modals.CreateProjectModal</a>, <a class="el" href="class_tri_lib_1_1_asset_downloader.html#aedbac08f96ecdcd81d6528443b0a0cb0">TriLib.AssetDownloader</a>, <a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a6f3bd9cfc98d9642f467918d5184c494">TriLib.Extras.AvatarLoader</a>, <a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html#a14af6126a3dcbe72b7b341e9b87727c3">TriLib.Extras.AvatarLoaderSample</a>, <a class="el" href="class_tri_lib_1_1_samples_1_1_load_sample.html#ada1aceecf763b1bc03e2c77cd024c3f3">TriLib.Samples.LoadSample</a>, <a class="el" href="class_tri_lib_1_1_samples_1_1_load_sample_async.html#a8dc6613c8d2eac27dd7b015015121867">TriLib.Samples.LoadSampleAsync</a>, <a class="el" href="class_vivian_components_1_1_vivian_component.html#a9f61c5c5c6d1471ad091aae18c0526e7">VivianComponents.VivianComponent</a></li>
<li>StringToByteArray()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_assimp_interop.html#ac55fc15fea8a5d28268423c5b4549bb5">TriLib.AssimpInterop</a></li>
<li>SwitchMode()&#160;:&#160;<a class="el" href="class_navbar.html#ac675445fda6f95888c4de7bc82c54843">Navbar</a>, <a class="el" href="class_vivian_u_i.html#acc92747134921494f33c3c42f786ff48">VivianUI</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
